// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: loadmodule/loadmodule.proto

package openfmb.loadmodule;

public interface LoadControlScheduleFSCHOrBuilder extends
    // @@protoc_insertion_point(interface_extends:loadmodule.LoadControlScheduleFSCH)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * Discrete value in LoadCSG type
   * </pre>
   *
   * <code>.loadmodule.LoadCSG ValDCSG = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the valDCSG field is set.
   */
  boolean hasValDCSG();
  /**
   * <pre>
   * Discrete value in LoadCSG type
   * </pre>
   *
   * <code>.loadmodule.LoadCSG ValDCSG = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The valDCSG.
   */
  openfmb.loadmodule.LoadCSG getValDCSG();
  /**
   * <pre>
   * Discrete value in LoadCSG type
   * </pre>
   *
   * <code>.loadmodule.LoadCSG ValDCSG = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.loadmodule.LoadCSGOrBuilder getValDCSGOrBuilder();
}
